/* lodelo.c by bill buckels 2009          */
/* a picture viewer for the apple II      */
/* written in Manx Aztec C65 Version 3.2b */
/* runs under DOS 3.3                     */
/* displays BSaved Double LORES Images    */


#include <g3.h>

int main()
{

 char picname[66];
 int c;

 for (;;) {

    /* set 80 column text */
	setcrtmode(TEXT80);
	for (;;) {
		scr_apple();
		catalog();
		printf("Enter Pic Name: ");
		gets(picname); /* get the filename */
		if (picname[0] == 0)break;
		/* set double lores */
		setcrtmode(DLORES);
		/* display picture if valid */
		c = dlodelo(picname);
		if (c==0)break;
		setcrtmode(TEXT80);
		scr_apple();
		bellerr();
		if (c == -1) printf("! Can't open %s\n",picname);
		else printf("! %s wrong format!\n",picname);
		printf("Press Any Key...");
		getch();

	}
	/* exit on blank line */
	if (picname[0] == 0)break;
	/* exit on escape key press */
	if(getch()==27)break;
  }

  setcrtmode(TEXT80);
  scr_apple();
  catalog();
  printf("Have a nice DOS!\n");
  return 0;

}

